REM http://mirror.rit.edu/gnu/gnu/gsl/gsl-1.15.tar.gz
REM http://gladman.plushost.co.uk/oldsite/computing/gsl-1.15-vc10.zip

set P=gsl
set V=1.15
set B=1

set R=..\..\..\release\%P%
if not exist %R% mkdir %R%

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf="%ProgramFiles%"
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" x64
echo on
path %pf%\CMake 2.8\bin;%pf%\Microsoft Visual Studio 10.0\Common7\IDE;%PATH%;c:\cygwin\bin

for %%i in (libs devel) do (
	if not exist %R%\%P%-%%i mkdir %R%\%P%-%%i
	copy ..\COPYING %R%\%P%-%%i\%P%-%%i-%V%-%B%.txt
	copy %%i.hint %R%\%P%-%%i\setup.hint
)

cd ..\build.vc10
for %%i in (gslhdrs cblasdll gsldll) do (
	devenv gsl.dll.sln /Project %%i /Build "Release|x64"
	if errorlevel 1 (echo %%i failed & goto error)
)

cd ..\osgeo4w

rm -rf install

mkdir install\bin
copy ..\build.vc10\dll\x64\Release\cblas.dll install\bin
copy ..\build.vc10\dll\x64\Release\gsl.dll install\bin

mkdir install\include\gsl
xcopy /s /v /e ..\gsl install\include\gsl

mkdir install\lib
copy ..\build.vc10\dll\x64\Release\cblas.lib install\lib
copy ..\build.vc10\dll\x64\Release\gsl.lib install\lib

tar -C install --remove-files -cjf %R%\%P%-libs\%P%-libs-%V%-%B%.tar.bz2 bin
tar -C .. -cjf %R%\%P%-libs\%P%-libs-%V%-%B%-src.tar.bz2 osgeo4w/devel.hint osgeo4w/libs.hint osgeo4w/package.cmd
tar -C install --remove-files -cjf %R%\%P%-devel\%P%-devel-%V%-%B%.tar.bz2 include lib

:error
